GetNodeEdges
Prev | 10.7. Topology Accessors | Next

## Name

GetNodeEdges — Returns an ordered set of edges incident to the given node.

## Synopsis

`getfaceedges_returntype GetNodeEdges(`varchar atopology, integer anode`)`;

## Description

Returns an ordered set of edges incident to the given node. Each output consists of a sequence and a signed edge id. Sequence numbers start with value 1. A positive edge starts at the given node. A negative edge ends into the given node. Closed edges will appear twice (with both signs). Order is clockwise starting from northbound.

This function computes ordering rather than deriving from metadata and is thus usable to build edge ring linking.

Availability: 2.0

## See Also

getfaceedges_returntype, GetRingEdges, ST_Azimuth

Prev | Up | Next
GetRingEdges | Home | Polygonize